/**
** This software is distributed under the terms of the General Public License.  
** 
** Program : BuildIT!
** Version : 0.2
** Authors : Artur Prusakiewicz <prusak@mat.uni.torun.pl>
**	     Michal Switala <scisly@mat.uni.torun.pl>
** E-MAIL  : build@mat.uni.torun.pl
** WWW     : http://www.mat.uni.torun.pl/~scisly/buildit/
**           http://www.mat.uni.torun.pl/~prusak/buildit/
**/

#include "Choice.h"

choice::choice(QWidget* parent,const char* name,bool li):QWidget( parent, name, 0 )
{
  QButtonGroup *bg1;
  bg1 = new QButtonGroup( this, "bg1" );
  bg1->setGeometry( 10, 10, 380, 280 );
  bg1->setFrameStyle( 49 );
  bg1->setAlignment( 1 );
  
  item = new QLineEdit( this, "item" );
  item->setGeometry( 40, 20, 120, 20 );
  item->setMaxLength(29);
  item->setFrame( TRUE );
  connect(item,SIGNAL(returnPressed()),SLOT(addIT()));

  QPushButton *add=new QPushButton("add",this,"add");
  add->setGeometry(180,20,80,20);
  connect(add,SIGNAL(clicked()),SLOT(addIT()));

  list=new QListBox(this,"list");
  list->setGeometry(40,50,120,100);
  connect(list,SIGNAL(selected(int)),SLOT(setIT(int)));

  QPushButton *rm=new QPushButton("remove",this,"rm");
  rm->setGeometry(180,90,80,20);
  connect(rm,SIGNAL(clicked()),SLOT(rmIT()));

  QLabel *l=new QLabel(this,"label");
  l->setGeometry(40,180,120,20);
  l->setText("selected item");

  selected=new QLineEdit(this,"multi");
  selected->setGeometry(180,180,80,20);
  selected->setMaxLength(29);
  selected->setEnabled(FALSE);

  QPushButton *clear=new QPushButton("clear",this,"clr");
  clear->setGeometry(270,180,40,20);
  connect(clear,SIGNAL(clicked()),SLOT(clrIT()));
  
  if(li)
    {
      QLabel *l=new QLabel(this,"label");
      l->setGeometry(40,200,120,20);
      l->setText("multiple selection");
      
      multi=new QCheckBox("enabled",this,"multi");
      multi->setGeometry(180,200,80,20);
      connect(multi,SIGNAL(clicked()),SLOT(multi_on()));
    }

  resize( 400,300 );
}
void choice::clrIT()
{
  int i,num;
  list->clearSelection();
  selected->setText("");
  
}


void choice::setIT(int val)
{
  selected->setText(list->text(val));
}

void choice::addIT()
{
  const char *tmp;
  tmp=item->text();
  if(QString(tmp).length()>0)
    list->insertItem(tmp);
}

void choice::rmIT()
{
  int i;
  if((i=list->currentItem())!=-1)
    {
      list->removeItem(i);
    }
}

void choice::multi_on()
{
  if(multi->isChecked())
    msel=TRUE;
  else
    msel=FALSE;
  list->setMultiSelection(msel);
}

choice::~choice()
{
}











